package dev.xoy.xoyshowoff;

import dev.xoy.xoyshowoff.commands.GiveSandArrowCommand;
import dev.xoy.xoyshowoff.commands.GiveSandGunCommand;
import dev.xoy.xoyshowoff.listeners.CropHarvestListener;
import dev.xoy.xoyshowoff.listeners.SandGunListener;
import org.bukkit.plugin.java.JavaPlugin;

import java.util.logging.Logger;

public final class XoyShowOff extends JavaPlugin {

    public static final Logger LOGGER = Logger.getLogger("xoyShowOff");

    @Override
    public void onEnable() {
        LOGGER.info("xoyShowOff is now enabled!");
        getServer().getPluginManager().registerEvents(new SandGunListener(), this);
        getServer().getPluginManager().registerEvents(new CropHarvestListener(), this);
        getCommand("givesandgun").setExecutor(new GiveSandGunCommand());
        getCommand("givesandarrow").setExecutor(new GiveSandArrowCommand());
    }

    @Override
    public void onDisable() {
        LOGGER.info("xoyShowOff is now disabled!");
    }

    public static XoyShowOff getInstance() {
        return getPlugin(XoyShowOff.class);
    }
}
